Bug 823441 - cannot tail app log via command 'rhc app tail'
cannot tail app log via command 'rhc app tail'
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Command Line Interface (Show other bugs)
2.x
Unspecified Unspecified
high Severity medium
: ---
: ---
Assigned To: Fabiano Franz
libra bugs
: Regression, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-21 05:43 EDT by Meng Bo
Modified: 2015-05-14 21:54 EDT (History)
1 user (show)

See Also:
Fixed In Version: rhc-0.93.12-1+
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-08 13:59:35 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Meng Bo 2012-05-21 05:43:44 EDT
Description of problem:
tail log using 'rhc app tail -a appname' will get failed.

Version-Release number of selected component (if applicable):
rhc-0.93.3-1.el6_2.noarch

How reproducible:
always

Steps to Reproduce:
1.create app
rhc app create -a app1 -t perl-5.10
2.tail log of the app
rhc app tail -a app1
3.
  
Actual results:
will get error:

/usr/lib/ruby/gems/1.8/gems/rhc-0.93.3/bin/rhc-app:413:in `show_logs': undefined local variable or method `opt' for #<Object:0x7f21e45382b8> (NameError)


Expected results:
app log should show without issues.

Additional info:
[root@localhost ~]# rhc app tail --app perl1 -d
Password: ******

Submitting form:
debug: true
rhlogin: bmeng@redhat.com
Contacting https://int.openshift.redhat.com
/usr/lib/ruby/gems/1.8/gems/rhc-0.93.3/bin/rhc-app:413:in `show_logs': undefined local variable or method `opt' for #<Object:0x7f206a41b298> (NameError)
	from /usr/lib/ruby/gems/1.8/gems/rhc-0.93.3/bin/rhc-app:547
	from /usr/bin/rhc-app:19:in `load'
	from /usr/bin/rhc-app:19

===============

command rhc-tail-files can get the log correctly.
Comment 1 Fabiano Franz 2012-05-27 20:10:01 EDT
Fixed.
Comment 2 Meng Bo 2012-05-30 05:37:20 EDT
verified on rhc-0.93.15

Note You need to log in before you can comment on or make changes to this bug.